﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Bridge
{
	/*
	 * 카테고리: 구조패턴
	 * 개요: 실제 로직을 담은 구현 클래스를 직접 호출하는 대신,
	 * 구현체로부터 추상층 클래스를 분리하여 클라이언트는 이 추상층 클래스를 거쳐 구현 클래스를 사용하도록 함
	 * 이를 통해 클라이언트는 여러 구현체 중 어떤 구현체 클래스를 사용할 지 선택할 수 있음
	 */
	class Program
	{
		static void Main(string[] args)
		{
			Client client = new Client();
			client.HowToUse();

			Console.ReadKey();
		}
	}
}
