﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Builder
{
	class Director
	{
		public Bed Construct(IBedBuilder builder)
		{
			Bed bed = builder
				.MakeFrame()
				.MakeMattress()
				.MakeSheet("White")
				.MakePillow(10)
				.Build();

			return bed;
		}
	}
}
