﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Command
{
    /*
     * 카테고리: 행위 패턴
     * 개요: 어떤 행위를 실행하는 요청을 명령 객체로 캡슐화하여 전달함
     * 명령 요청을 즉시 요청할 수도 있지만, 명령 객체를 큐에 쌓아 배치로 한번에 실행할 수도 있고,
     * 반대 명령을 내려 Undo 하는 기능을 제공할 수 있음
     * 
     * Invoker: 명령을 실행할 때를 결정
     * Command: 명령을 표현
     * Receiver: 명령을 받아 일련의 작업을 수행
     */
    internal class Program
    {
        static void Main(string[] args)
        {
            Client.HowToUse();

            Console.ReadKey();
        }
    }
}
