﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Factory.FactoryMethod
{
	class XmlLogFactory : LogFactory
	{
		protected override ILog GetLog()
		{
			string logfile = ConfigurationManager.AppSettings["XmlFile"];
			return new XmlLog(logfile);
		}
	}
}
