﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Proxy
{
	class ProxyWeb : IWeb
	{
		private IWeb realWeb = new RealWeb();

		List<string> BAD_SITES = new List<string>()
		{
			"https://hackersite.com",
			"https://fraudsite.com",
			"https://phishingsite.com"
		};

		public string Visit(string url)
		{
			if (BAD_SITES.Contains(url.ToLower()))
				return "BAD_SITES";

			return realWeb.Visit(url);
		}
	}
}
