﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace State
{
    internal class BadState : State
    {
        public BadState()
        {
            this.InterestRate = 35.00M;
        }

        public override void ChangeScore(Context context, int score)
        {
            if (score >= 600)
            {
                context.CurrentState = new NormalState();

                context.CurrentState.ChangeScore(context, score);
            }
        }
    }
}
