﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace State
{
    /*
     * 카테고리: 행위 패턴
     * 개요: 상태별 행위를 별도의 클래스에 구현하여
     * 복잡한 상태별 행위를 효율적으로 분리하여 구현하고
     * 새로운 상태에 따른 행위를 유연하게 추가/확장함
     * 
     * Context: 현재 상태를 기억
     * State: 인터페이스
     * Concrete State: 각 상태별 행위 구현
     */
    internal class Program
    {
        static void Main(string[] args)
        {
            Client.HowToTest();

            Console.ReadKey();
        }
    }
}
