﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace State
{
    internal class VIPState : State
    {
        public VIPState()
        {
            this.InterestRate = 15.00M;
        }

        public override void ChangeScore(Context context, int score)
        {
            if (score < 750)
            {
                context.CurrentState = new NormalState();

                context.CurrentState.ChangeScore(context, score);
            }
        }
    }
}
