﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Visitor
{
	class CarPrintVisitor : ICarVisitor
	{
		public void Visit(Engine element)
		{
			Console.WriteLine(element.Spec);
		}

		public void Visit(Body element)
		{
			Console.WriteLine(element.Color);
		}

		public void Visit(Wheel element)
		{
			Console.WriteLine(element.Type);
		}

		public void Visit(Car element)
		{
			Console.WriteLine(element.Maker);
		}
	}
}
