﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Bridge
{
	class NetworkAbstraction : INetworkAbstraction
	{
		public INetworkImplementor Network { get; set; }

		public void SendReceive(byte[] bytes)
		{
			this.Network.Connect();
			this.Network.Send(bytes);
			bytes = this.Network.Receive();
			this.Network.Disconnect();
		}
	}
}
