﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Builder
{
	/*Builder (Fluent)*/
	public interface IBedBuilder
	{
		IBedBuilder MakeFrame();
		IBedBuilder MakeMattress();
		IBedBuilder MakeSheet(string sheet);
		IBedBuilder MakePillow(int size);
		Bed Build();
	}
}
