﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Command
{
    internal class StockCommand : ICommand
    {
        private StockBroker _broker;
        private string symbol;
        private TxType txType;
        private int qty;

        public StockCommand(StockBroker broker, string symbol, TxType txType, int qty)
        {
            _broker = broker;
            this.symbol = symbol;
            this.txType = txType;
            this.qty = qty;
        }

        public void Execute()
        {
            _broker.Process(symbol, txType, qty);
        }
    }
}
