﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Composite
{
	/*
	 * 카테고리: 구조 패턴
	 * 개요: 객체나 객체들의 그룹을 클라이언트 입장에서 동일하게 취급하고 사용할 수 있게 함.
	 * 개별 객체(Leaf)나 객체 그룹(Composite)을 트리 구조로 만들어 계층을 표현함.
	 * 개별 객체나 객체 그룹은 Component 인터페이스를 통해 leaf든 composite이든 구분 없이 클라이언트에 사용됨.
	 */
	class Program
	{
		static void Main(string[] args)
		{
			Client.HowToTest();

			Console.ReadKey();
		}
	}
}
