﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Decorator
{
	class Circle : Shape
	{
		public Circle(Point origin, int radius)
		{
			X = origin.X;
			Y = origin.Y;
			Width = radius * 2;
			Height = radius * 2;
		}

		public override void Draw(Graphics g)
		{
			g.DrawEllipse(Pens.Black, X, Y, Width, Height);
		}
	}
}
