﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace Decorator
{
	class Client
	{
		public static void HowToTest()
		{
			Form form = new Form();
			form.Show();

			Graphics gr = form.CreateGraphics();

			Shape shape = new Circle(new Point(100, 100), 50);
			FillShapeDecorator deco = new FillShapeDecorator(shape);
			deco.Draw(gr);
		}
	}
}
