﻿using System;
using System.Collections.Generic;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Decorator
{
	class FillShapeDecorator : ShapeDecorator
	{
		public FillShapeDecorator(Shape shape) : base(shape)
		{

		}

		public override void Draw(Graphics g)
		{
			component.Draw(g);

			g.FillEllipse(Brushes.Green, component.X, component.Y, component.Width, component.Height);
		}
	}
}
