﻿using FSM.Machines;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FSM.States
{
    public interface IEquipmentState
    {
        void Enter();
        void Exit();

        bool HandleEvent(EquipmentEvent equipmentEvent, EquipmentStateMachine machine);
    }
}
