﻿using Facade.Subsystems;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Facade
{
	class Facade
	{
		public static byte[] PrintPicture(int employeeId)
		{
			HRSystem hr = new HRSystem();
			int picId = hr.GetPictureId(employeeId);

			PictureSystem pic = new PictureSystem();
			byte[] picData = pic.GetPicture(picId);

			PrintSystem prt = new PrintSystem();
			return prt.Print(picData);
		}
	}
}
