﻿using System;
using System.Collections.Generic;
using System.Configuration;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Factory.FactoryMethod
{
	class DbLogFactory : LogFactory
	{
		protected override ILog GetLog()
		{
			string connString = ConfigurationManager.AppSettings["DBConn"];
			return new DbLog(connString);
		}
	}
}
