﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prototype
{
	class Client
	{
		public static void HowToTest()
		{
			Prototype basicTemplate = new BasicWebPrototype();
			Prototype premiumTemplate = new PremiumWebPrototype();

			Prototype t1 = basicTemplate.Clone();
			t1.SetTitle("Basic Web");
			Console.WriteLine(t1.WebTemplate);

			Prototype t2 = basicTemplate.Clone();
			t2.SetTitle("Basic Web2");
			Console.WriteLine(t2.WebTemplate);

			Prototype t3 = premiumTemplate.Clone();
			t3.SetTitle("Premium Web");
			Console.WriteLine(t3.WebTemplate);
		}
	}
}
