﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Prototype
{
	public abstract class Prototype
	{
		// 필요에 따라 deep, shallow copy 선택하여 구현
		public abstract Prototype Clone();

		public string WebTemplate { get; protected set; }

		public void SetTitle(string title)
		{
			this.WebTemplate = this.WebTemplate.Replace("{{title}}", title);
		}
	}
}
