﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace State
{
    internal class NormalState : State
    {
        public NormalState()
        {
            this.InterestRate = 25.00M;
        }

        public override void ChangeScore(Context context, int score)
        {
            if (score < 600)
            {
                context.CurrentState = new BadState();

                context.CurrentState.ChangeScore(context, score);
            }
            else if (score >= 750)
            {
                context.CurrentState = new VIPState();

                context.CurrentState.ChangeScore(context, score);
            }
        }
    }
}
