﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Strategy
{
    internal class BitcoinPayment : IPayment
    {
        private string address;

        public BitcoinPayment(string address)
        {
            this.address = address;
        }

        public void Pay(int amount)
        {
            decimal btc = (decimal)(amount / 10000000.0);
            Console.WriteLine($"Charged {btc} to BTC: {address}");
        }
    }
}
