﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Strategy
{
    internal class CardPayment : IPayment
    {
        private string cardNo, mmyy;

        public CardPayment(string cardNo, string mmyy)
        {
            this.cardNo = cardNo;
            this.mmyy = mmyy;
        }

        public void Pay(int amount)
        {
            Console.WriteLine($"Charged {amount} to CARD: {cardNo}");
        }
    }
}
