﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Strategy
{
    internal class Client
    {
        public static void HowToTest()
        {
            CardPayment card = new CardPayment("1234-5678-9101-1121", "12/25");
            Checkout checkout = new Checkout(card);
            checkout.Charge(20000);

            BitcoinPayment btc = new BitcoinPayment("1Bd3Fd2Tddf334FFcdffs3434FF");
            checkout.Payment = btc;
            checkout.Charge(30000);
        }
    }
}
