﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace Strategy
{
    /*
     * 카테고리: 행위 패턴
     * 개요: 하나의 문제 해결을 위한 다양한 알고리즘이 존재할 때,
     * 하나의 공통 인터페이스를 통해 클라이언트가 자신에게 알맞은 알고리즘을 사용하게 함
     */
    internal class Program
    {
        static void Main(string[] args)
        {
            Client.HowToTest();

            Console.ReadKey();
        }
    }
}
